Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.launcher
Class StreamConnector

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.apache.commons.launcher.StreamConnector

All Implemented Interfaces:
  java.lang.Runnable

public class StreamConnector
extends java.lang.Thread

A class for connecting an OutputStream to an InputStream.

Author:
  Patrick Luby

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`StreamConnector(java.io.InputStream is, java.io.OutputStream os)` Specify the streams that this object will connect in the `run()` method.

Method Summary
`void` | `run()` Connect the InputStream and OutputStream objects specified in the `StreamConnector(InputStream, OutputStream)` constructor.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamConnector

    public StreamConnector(java.io.InputStream is,
                           java.io.OutputStream os)

  Specify the streams that this object will connect in the `run()` method.

Parameters:
  `is` - the InputStream to read from.
  `os` - the OutputStream to write to.

Method Detail

### run

    public void run()

  Connect the InputStream and OutputStream objects specified in the `StreamConnector(InputStream, OutputStream)` constructor.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2002 - Apache Software Foundation